complexType "CalculationPeriodDates"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | effectiveDate, terminationDate
</...>

Content Model Elements (2):

  effectiveDate (in calculationPeriodDates), | terminationDate (in calculationPeriodDates)

All Direct / Indirect Based Elements (1):

  calculationPeriodDates

Known Usage Locations

- As direct type of elements (1):
  calculationPeriodDates

Annotation
A type defining the parameters used to generate the calculation period dates schedule, including the specification of any initial or final stub calculation periods. A calculation perod schedule consists of an optional initial stub calculation period, one or more regular calculation periods and an optional final stub calculation period. In the absence of any initial or final stub calculation periods, the regular part of the calculation period schedule is assumed to be between the effective date and the termination date. No implicit stubs are allowed, i.e. stubs must be explicitly specified using an appropriate combination of firstPeriodStateDate, firstRegularPeriodStartDate and lastRegularPeriodEndDate.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CalculationPeriodDates"> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:element name="effectiveDate" type="AdjustableDate"/> <!--View Generation: Removed a degenerate choice.--> <xsd:element name="terminationDate" type="AdjustableDate"/> <!--View Generation: SKIPPED calculationPeriodDatesAdjustments - DateAdjustments--> <!--View Generation: SKIPPED firstPeriodStartDate - NonStandardFeature--> <!--View Generation: SKIPPED firstRegularPeriodStartDate - NonStandardFeature--> <!--View Generation: SKIPPED firstCompoundingPeriodEndDate - NonStandardFeature--> <!--View Generation: SKIPPED lastRegularPeriodEndDate - NonStandardFeature--> <!--View Generation: SKIPPED stubPeriodType - NonStandardFeature--> <!--View Generation: SKIPPED calculationPeriodFrequency - Other=This is not requested by the CFTC, and so compounding swaps are not fully represented--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
effectiveDate

  Type: | AdjustableDate, complex content

  The first day of the term of the trade. This day may be subject to adjustment in accordance with a business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="effectiveDate" type="AdjustableDate"/>

terminationDate

  Type: | AdjustableDate, complex content

  The last day of the term of the trade. This day may be subject to adjustment in accordance with a business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="terminationDate" type="AdjustableDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.